/**
 * Copyright (c) 2014-2019, NVIDIA Corporation.  All rights reserved.
 *
 * NVIDIA Corporation and its licensors retain all intellectual property
 * and proprietary rights in and to this software and related documentation
 * and any modifications thereto.  Any use, reproduction, disclosure or
 * distribution of this software and related documentation without an express
 * license agreement from NVIDIA Corporation is strictly prohibited.
 */

#ifndef __TAM640_H__
#define __TAM640_H__

#include <uapi/media/tam640.h>

#define TAM640_FUSE_ID_SIZE     6
#define TAM640_FUSE_ID_STR_SIZE     (TAM640_FUSE_ID_SIZE * 2)

struct tam640_power_rail {
    struct regulator *dvdd;
    struct regulator *avdd;
    struct regulator *iovdd;
    struct regulator *vdd_af;
};

struct tam640_platform_data {
    struct tam640_flash_control flash_cap;
    const char *mclk_name; /* NULL for default default_mclk */
    int (*power_on)(struct tam640_power_rail *pw);
    int (*power_off)(struct tam640_power_rail *pw);
};

#endif  /* __TAM640_H__ */
